Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I installed the Flash 11 plugin using the software center (and have also removed the reinstalled it via command-line in the terminal), yet Firefox still claims the latest version of the plugin I have is 10. (And just to clarify, I have been sure to reboot both Firefox and the entire computer after installing).

On further investigation (this may be a red herring, pardon) I ran the uname -a command-line in terminal to assure that I was running the 64-bit version of Ubuntu, and received this feedback:

3.0.0-13-generic #22-Ubuntu SMP Wed Nov 2 13:25:36 UTC 2011 i686 i686 i386 GNU/Linux

I don't understand the series "i686 i686 i386". Which applies to my version of Ubuntu? Does this mean I've accidentally installed 32-bit Ubuntu?

Very much a beginner here - I've combed the threads but have so little understanding what my exact issue is that I haven't been able to find an answer.

share|improve this question
1  
For all guys with similar problems: The latest flash player (and also chrome build in flash player) do not work on old 32bit AMD processors. if you cannot find the flag SSE2 in /proc/cpu you should install an older version by hand. This one kept my flashplayer from working at all. Read this for details. –  user109296 Nov 19 '12 at 19:56
    
On Ubuntu 12.04, you can check for the SSE2 flag like this: grep sse2 /proc/cpuinfo. If it's there, it will be appear in the output. If it's not, nothing will be printed. –  Mark Stosberg Dec 9 '12 at 14:21
add comment

3 Answers

You appear to have installed the 32 bit version of Ubuntu. You might want to see if you have flash installed directly in your profile:

find ~/.mozilla -name *flashplayer*.so

If you do, you might want to note where it is and move it out of the way (while Firefox is closed). Then, reinstall the version from Software Center.

share|improve this answer
    
I was unable to use the command line properly. For some reason, when I entered it, nothing would happen. No feedback, just another empty line. I tried to understand it better using the man page on this link[manpages.ubuntu.com/manpages/intrepid/man1/find.1.html] but was unsuccessful. However, as you can read below in my answer I found another way to solve the problem. But I'm grateful to you for clarifying the issue of 32 vs 64-bit Ubuntu for me. Good to know! –  TX-NY-CA Nov 25 '11 at 10:19
add comment

I had the exact problem with me.

This is how I fixed it:

Open up terminal and type:

 sudo apt-get install synaptic

After that run synaptic, by searching for it on the home dash, then type in the search field flash. In the results right click on adobe-flashplugin package and select mark for installation. It should also select a properties file for you automatically. Then click the apply button and go on. When it has finished the installation you should have Flash Player.

share|improve this answer
1  
Interestingly enough, Synaptic says the status of adobe-flashplugin version 11 is "installed." Therefore, the "mark for installation" could not be selected. As a test, I marked it for re-installation, applied, and found Firefox to still be running version 10. –  TX-NY-CA Nov 25 '11 at 10:02
add comment

Fixed it!

While running Synaptic (as I was lead to by 11chubby11 - many thanks) I discovered another plugin, gnash, and decided to remove it.

When I started up Firefox, YouTube couldn't play videos at all (whereas before they WERE playing, just with poor quality). This lead me to suspect that Firefox had been using Gnash as its default plugin. So I went back to Synaptic, found adobe-flashplugin, marked it for re-installation, and applied. Voila, my video now works beautifully on YouTube, and even better, I was able to use Vimeo for the first time on Ubuntu. :)

Thank you both for your help.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.